﻿/* BASE */

body {display:none;}

.float-left {
    float: left;
}
.float-right {
    float:right;
}

.border-left {
    border-left: 1px solid #ccc;
}

.full-width {
    width: 100%;
}

.half-width {
    width: 50%;
}

.hidden,.ng-hide {
    display: none;
}

.form select.textinput--invalid {
    border-color: #E02020 !important;
}

.alert {
    padding: 15px 10px;
    border-radius: 5px;
    margin: 10px;
}

    .alert.alert-danger {
        color: #E02020;
        border: 1px solid #E02020;
        background: #ffebeb;
    }


.no-border {
    border: none !important;
}



.client-logo .logo {
    height: 200px;
    width: 100%;
}

.page-container {
    width: 900px;
    margin: auto;
}


.client-logo {
    width: 700px;
    margin: auto;
    text-align: center;
    max-width: 700px;
    max-height: 300px;
}


.page-content {
    padding-top: 25px;
}

.registration-form-panel {
    border-left: 1px solid #ccc;
}

.component {
    margin: 40px;
}

    .component .head,.component.head h1 {
        padding: 10px;
    }

#social-channels {
    padding-top: 55px;
}

#social-channels a.button {
    border: 1px solid #ccc;
    background-color: #fff;
    margin: 5px;
    width: 100%;
}

.form-group {
    padding: 10px;
}
.form-group.form-group--column .button {
    text-align: center;
    display: inline-block;
    line-height: 42px;
}

    .form-group.form-group--row.legal-agreement {
        width: 100%;
    }
        .form-group.form-group--row.legal-agreement span {
            display: inline-block;
        }
        .form-group.form-group--row.legal-agreement > label {
            display: inline-block;
            width: 91%;
            font-size: 14px;
        }

        .footer {
            background: none;
            padding-top: 20px;
        }

    .footer .footer-item {
        display: inline-block;
    }

        .footer .footer-item a {
            text-decoration: none;
            color: #454545 !important;
        }

.component.footer {
    padding-left: 20px;
    padding-right: 20px;
}


.btn-facebook {
    color: #FFF !important;
    border: none !important;
    background-color: #4C69BA;
    background-image: linear-gradient(#4C69BA, #3B55A0);
    /* font-family: "Helvetica neue", Helvetica Neue, Helvetica, Arial, sans-serif; */
    text-shadow: 0 -1px 0 #354c8c;
    position: relative;
    font-size: 18px !important;
    padding: 0 40px;
}

    .btn-facebook:before {
        border-right: #364e92 0px solid;
        background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/14082/icon_facebook.png) 6px 6px no-repeat;

        content: "";
        box-sizing: border-box;
        position: absolute;
        top: 5px;
        left: 3px;
        width: 100%;
        min-height: 30px;
        height: 100%;
    }



span.requirement {
    padding-left: 20px;
    background: url(/img/icons/black-circle.png) 1px no-repeat;
}
    span.requirement.valid {
        background: url(/img/icons/green-circle.png) 1px no-repeat;
    }






/* RESPONSIVE */
@media (max-width: 991px){
    .page-container {
        width: 100%;
    }

    .registration-form-panel {
        border: none;
    }

    #social-channels {
        padding-top: 0;
        padding-bottom: 30px;
        margin-bottom: 30px;
        border-bottom: 1px solid #ccc;
    }
}